curl --request GET \
--url https://api.example.com/turnos/days/exportconst options = {method: 'GET'};
fetch('https://api.example.com/turnos/days/export', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.example.com/turnos/days/export"
response = requests.get(url)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/turnos/days/export"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/turnos/days/export",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}require 'uri'
require 'net/http'
url = URI("https://api.example.com/turnos/days/export")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"status": true,
"mensagem": "OK",
"url": "https://s3-bucket.s3.amazonaws.com/files/tenant_x/file.jpg",
"base64": "aGVsbG8gd29ybGQ="
}{
"service": "<string>",
"method": "<string>",
"message": "message erro"
}Exporta em uma planilha os dias de turno de colaboradores de acordo com os filtros
curl --request GET \
--url https://api.example.com/turnos/days/exportconst options = {method: 'GET'};
fetch('https://api.example.com/turnos/days/export', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.example.com/turnos/days/export"
response = requests.get(url)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/turnos/days/export"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/turnos/days/export",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}require 'uri'
require 'net/http'
url = URI("https://api.example.com/turnos/days/export")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"status": true,
"mensagem": "OK",
"url": "https://s3-bucket.s3.amazonaws.com/files/tenant_x/file.jpg",
"base64": "aGVsbG8gd29ybGQ="
}{
"service": "<string>",
"method": "<string>",
"message": "message erro"
}Query Parameters
Texto pesquisado para filtrar consulta
Página que deseja retornar os resultados
0
Quantidade de itens que retorna na consulta. Min 1 - Max 100
100
Data inicial para filtro
"2026-01-01T00:00:00.000Z"
Data final para filtro
"2026-01-31T00:00:00.000Z"
Filtro por IDs de cargo, separados por vírgula. Ex: "id1,id2"
Filtro por IDs de departamento, separados por vírgula. Ex: "id1,id2"
Filtro por IDs de equipe, separados por vírgula. Ex: "id1,id2"
Filtro por IDs de turno, separados por vírgula. Ex: "id1,id2"
Filtro por IDs de unidade de negócio, separados por vírgula, Ex: "id1,id2"
Filtro por IDs de centro de custo, separados por vírgula, Ex: "id1,id2"
Filtro por tipos de turno, separados por vírgula. Ex.: "turnoFixo,turnoFlexivel,turnoRevezamento,turnoCiclo"
Response
Planilha da lista de dias de turno
Status da operação
true
Mensagem de retorno
"OK"
Url para download do arquivo
"https://s3-bucket.s3.amazonaws.com/files/tenant_x/file.jpg"
Arquivo CSV ou XLSX em base64 com o resultado da busca (use somente caso a url não esteja disponível)
"aGVsbG8gd29ybGQ="